NX Open C++ Reference Guide
|
Represents a projection object. More...
Public Types | |
enum | ProjectionOption { ProjectionOptionEndcap, ProjectionOptionTarget, ProjectionOptionFace, ProjectionOptionPlane, ProjectionOptionNone } |
Describes the geometry for projection. More... | |
Public Member Functions | |
NXOpen::ScCollector * | Face () |
Returns the projection face Created in NX4.0.0. | |
NXOpen::Features::EmbossProjection::ProjectionOption | Option () |
Returns the projection option Created in NX4.0.0. | |
NXOpen::ISurface * | Plane () |
Returns the projection plane Created in NX4.0.0. | |
void | SetFace (NXOpen::ScCollector *projectionFace) |
Sets the projection face Created in NX4.0.0. | |
void | SetOption (NXOpen::Features::EmbossProjection::ProjectionOption option) |
Sets the projection option Created in NX4.0.0. | |
void | SetPlane (NXOpen::ISurface *projectionPlane) |
Sets the projection plane Created in NX4.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a projection object.
<br> Emboss projection object describes how to project section and to help build sidewall geometry. <br> <br> Following are default values and options: <br> <br> <b>Projection Option</b> @link Features::EmbossProjection::ProjectionOptionEndcap Features::EmbossProjection::ProjectionOptionEndcap @endlink <br> <br> <b>Projection Face</b> User must set it when projection option is face. <br> <br> <b>Projection Datum Plane</b> User must set it when projection option is plane. <br>
Created in NX4.0.0.
Describes the geometry for projection.
NXOpen::ScCollector* NXOpen::Features::EmbossProjection::Face | ( | ) |
Returns the projection face
Created in NX4.0.0.
License requirements : None
NXOpen::Features::EmbossProjection::ProjectionOption NXOpen::Features::EmbossProjection::Option | ( | ) |
Returns the projection option
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ISurface* NXOpen::Features::EmbossProjection::Plane | ( | ) |
Returns the projection plane
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EmbossProjection::SetFace | ( | NXOpen::ScCollector * | projectionFace | ) |
Sets the projection face
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectionFace | Faces for projection, if the projection option is Features::EmbossProjection::ProjectionOptionFace |
void NXOpen::Features::EmbossProjection::SetOption | ( | NXOpen::Features::EmbossProjection::ProjectionOption | option | ) |
Sets the projection option
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | The projection option to decide where the profile projects |
void NXOpen::Features::EmbossProjection::SetPlane | ( | NXOpen::ISurface * | projectionPlane | ) |
Sets the projection plane
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectionPlane | Plane for projection, if the projection option is Features::EmbossProjection::ProjectionOptionPlane |